status: hidden
Title: image-quality
robots: noindex

<style>
img {width: 700px}
</style>

# Possible steps of compression


## Original photo: `22MB`

![100](https://mdk.fr/jpg-compress/Photo3.jpg)


## Pre-processed image from melty media server: `16MB`

    mogrify -resize '25000000@>' "$file" # Limit the size to ~ 5000 * 5000 px
    jpegoptim -p --strip-all -m100 "$file"

![100](https://mdk.fr/jpg-compress/melty-so.jpg)


## Base image with a 75% quality, `3.5MB`

    cp Photo3.jpg Photo3-75pct.jpg
    jpegoptim -p --strip-all -m75 Photo3-75pct.jpg
    Photo3-75pct.jpg 5184x3310 24bit N Exiff IPTC ICC XMP Adobe  [OK] 22460774 --> 3618936 bytes (83.89%), optimized.
    
![75](https://mdk.fr/jpg-compress/Photo3-75pct.jpg)


## Base image, resized to 1400px 100%: `2.3MB`

    gm convert -resize 1400x892 -quality 100 Photo3.jpg Photo3-1400px.jpg

![100](https://mdk.fr/jpg-compress/Photo3-1400px.jpg)


## Base image, resized to 700px 100%: `677KB`

    gm convert -resize 700x446 -quality 100 Photo3.jpg Photo3-700px.jpg

![100](https://mdk.fr/jpg-compress/Photo3-700px.jpg)


## Base image, resized to 1400px 75%: `356K`

    gm convert -resize 1400x892 -quality 75 Photo3.jpg Photo3-1400px-75pct.jpg

![100](https://mdk.fr/jpg-compress/Photo3-1400px-75pct.jpg)


## Base image, resized to 700 75%: `152K`

    gm convert -resize 700x446 -quality 75 Photo3.jpg Photo3-700px-75pct.jpg

![100](https://mdk.fr/jpg-compress/Photo3-700px-75pct.jpg)


## melty mediaserver image 75%, 700px, `82KB`

    wget http://media.melty.fr/pmedia-3287063-ajust_700-f1469549124/jacky-mornai-et-loup-pendant-amazing-summer.jpg

![75](https://mdk.fr/jpg-compress/melty-ajust700.jpg)
