from datetime import date

AUTHOR = "Julien Palard"
SITENAME = "mdk.fr"
SITETITLE = "Julien Palard"
SITESUBTITLE = "Formateur et mentor Python"
SITEURL = ""
SITELOGO = "/images/julien.jpg"
SITEDESCRIPTION = "Julien Palard, formateur Python"
ROBOTS = "index, follow"
COPYRIGHT_NAME = "Julien Palard"
COPYRIGHT_YEAR = str(date.today().year)
HOME_HIDE_TAGS = False
DISABLE_URL_HASH = True
FAVICON = "/images/favicon.png"

DISPLAY_PAGES_ON_MENU = False
MAIN_MENU = False

LINKS = (
    ("My Python Talks", "/pages/talks.html"),
    ("About me", "/pages/julien-palard.html"),
    ("GPG: 0x46EBCD72F08E6717", "/pages/gpg.html"),
    ("HackInScience", "https://hackinscience.org"),
)

PATH = "content"

TIMEZONE = "Europe/Paris"

DEFAULT_LANG = "fr"

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

THEME_COLOR = "dark"
THEME_COLOR_AUTO_DETECT_BROWSER_PREFERENCE = True
THEME_COLOR_ENABLE_USER_OVERRIDE = True

PYGMENTS_STYLE = "emacs"
PYGMENTS_STYLE_DARK = "monokai"

# Social widget
SOCIAL = (
    ("twitter", "https://twitter.com/sizeof"),
    ("github", "https://github.com/julienpalard"),
    ("stack-overflow", "https://stackoverflow.com/users/232831/julien-palard"),
    ("rss", "/feeds/all.atom.xml"),
    ("mastodon", "https://mamot.fr/@mdk"),
)

USE_GOOGLE_FONTS = False
DEFAULT_PAGINATION = 10
THEME = "Flex"
THEME_STATIC_DIR = "theme"
ARTICLE_URL = "{category}/{slug}.html"
STATIC_PATHS = ["images"]
ARTICLE_SAVE_AS = "{category}/{slug}.html"
CATEGORY_URL = "{slug}/"
CATEGORY_SAVE_AS = "{slug}/index.html"

# Uncomment following line if you want document-relative URLs when developing
# RELATIVE_URLS = True
