status: hidden
title: Sup'Internet — Rendus
slug: obiree2uaza2sh-rendu
robots: noindex

# Rendu

Le rendu se fera par mail, par pièce jointe, sous forme d'un seul
fichier, soit un `.zip`, soit un `.tar.gz`.

Le fichier devra être nommé selon le format suivant :
`f"{nom_complet}_{nom_du_projet}.{ext}"`, votre nom complet étant
typiquement composé de votre prénom puis de votre nom, séparés par un
trait d'union. Tout autre caractères non alphabétique composant votre
nom sera aussi retranscrit par un trait d'union. Le tout composé
uniquement en bas-de-casse, typiquement :

 - alan-turing_cryptanalyse.zip
 - bernard-d-orgeval_surfaces.zip
 - augusta-ada-king-noel-countess-of-lovelace_pysandbox.tar.gz

L'archive devra se décompresser en un seul dossier, contenant votre
projet. Le nom du dossier doit être au format `f"{nom_complet}_{nom_du_projet}"`
en bas-de-casse, toujours.


Pour une tarball, je doit donc voir quelque chose comme :

    $ tar tf julien-palard_objdump.tar.gz
    julien-palard_objdump/
    julien-palard_objdump/setup.py
    julien-palard_objdump/README.md
    julien-palard_objdump/tests/
    julien-palard_objdump/tests/test_objdump.py
    julien-palard_objdump/src/objdump.py


Ou pour un zip, quelque chose comme :

    $ unzip -l julien-palard_objdump.zip
    Archive:  julien-palard_objdump.zip
      Length      Date    Time    Name
    ---------  ---------- -----   ----
            0  2016-11-18 09:34   julien-palard_objdump/
            0  2016-11-18 09:34   julien-palard_objdump/setup.py
            0  2016-11-18 09:34   julien-palard_objdump/README.md
            0  2016-11-18 09:34   julien-palard_objdump/tests/
            0  2016-11-18 09:34   julien-palard_objdump/tests/test_objdump.py
            0  2016-11-18 09:34   julien-palard_objdump/objdump.py
    ---------                     -------
            0                     6 files


Le sujet du mail devra être au format `f"Rendu {nom_du_projet}"`. Seul
le `R` de `Rendu` sera en majuscule, tout le reste doit être en
bas-de-casse.

Le mail doit être envoyé à *julien@python.org*.

> Un rendu ne respectant pas strictement le format de rendu risque de
  ne pas être corrigé (ignorés par mon script de ramassage).

Plusieurs rendus sont possibles (si vous corrigez un bug, ou ajoutez
une fonctionalité). Seul le dernier rendu — avant l'heure limite —
sera pris en compte.
